Measure distances on the map
Status: Resolved Start date: 08/07/2021

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 10.00 hours

Description

Add a ruler tool, to measure distances.

Associated revisions

Revision 8c1071bb - 08/07/2021 13:01 - Philippe May

Map: add ruler tool to measure distances (refs #12491)

- update material icons

Revision fa00f3be - 09/07/2021 01:01 - Philippe May

Map: rulers to measure several distances (refs #12491)

- Fix missing turf dependency and bump version

Revision 84a6be42 - 09/07/2021 17:38 - Philippe May

Map: fix deactivating rulers (refs #12491)

Revision 7871873e - 10/07/2021 02:05 - Philippe May

Map: fix same origin rulers (refs #12491)

History

#1 - 11/07/2021 11:51 - Philippe May

- Status changed from New to Resolved

I decided to code a custom tool, with bits and pieces inspired by https://github.com/korywka/mapbox-gl-controls.

After selecting the ruler tool (compass icon), the user can click on 2 points on the map to draw a line, the distance is shown on that line. Several lines

can be added. They disappear when the user clicks again on the compass icon.

The user can also press the <control> key to measure several distances from the same starting point.
